<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__ble__scan__results__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_ble_scan_results_t</compoundname>
    <includes local="no">wiced_bt_ble.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__ble__scan__results__t_1af12c105e6fa2388e8b61ecb4649d66da" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
        <definition>wiced_bt_device_address_t wiced_bt_ble_scan_results_t::remote_bd_addr</definition>
        <argsstring />
        <name>remote_bd_addr</name>
        <briefdescription>
<para>Device address. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="253" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="253" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__scan__results__t_1ac40d8a76f432cee5f3fe074a23e9521d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_ble_scan_results_t::ble_addr_type</definition>
        <argsstring />
        <name>ble_addr_type</name>
        <briefdescription>
<para>LE Address type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="254" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="254" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__scan__results__t_1a80db1a4adc1a2c6814d4c2c5450debc5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__btm__ble__api__functions_1ga4fe613f743f42d5ef6e8278686aad75c">wiced_bt_dev_ble_evt_type_t</ref></type>
        <definition>wiced_bt_dev_ble_evt_type_t wiced_bt_ble_scan_results_t::ble_evt_type</definition>
        <argsstring />
        <name>ble_evt_type</name>
        <briefdescription>
<para>Scan result event type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="255" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="255" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__scan__results__t_1af4133a5dd55c297a8d21712f30f0acc6" kind="variable" mutable="no" prot="public" static="no">
        <type>int8_t</type>
        <definition>int8_t wiced_bt_ble_scan_results_t::rssi</definition>
        <argsstring />
        <name>rssi</name>
        <briefdescription>
<para>Set to <ref kindref="member" refid="group__wicedbt___device_management_1ga1d613db0782c8f392c3425a1da1c606f">BTM_INQ_RES_IGNORE_RSSI</ref>, if not valid. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="256" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="256" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__scan__results__t_1a61b930573ead970e6b806fb264d25af1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_ble_scan_results_t::flag</definition>
        <argsstring />
        <name>flag</name>
        <briefdescription>
<para>Adverisement Flag value. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="257" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="257" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>LE inquiry result type. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="258" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="251" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="252" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__ble__scan__results__t_1ac40d8a76f432cee5f3fe074a23e9521d" virt="non-virtual"><scope>wiced_bt_ble_scan_results_t</scope><name>ble_addr_type</name></member>
      <member prot="public" refid="structwiced__bt__ble__scan__results__t_1a80db1a4adc1a2c6814d4c2c5450debc5" virt="non-virtual"><scope>wiced_bt_ble_scan_results_t</scope><name>ble_evt_type</name></member>
      <member prot="public" refid="structwiced__bt__ble__scan__results__t_1a61b930573ead970e6b806fb264d25af1" virt="non-virtual"><scope>wiced_bt_ble_scan_results_t</scope><name>flag</name></member>
      <member prot="public" refid="structwiced__bt__ble__scan__results__t_1af12c105e6fa2388e8b61ecb4649d66da" virt="non-virtual"><scope>wiced_bt_ble_scan_results_t</scope><name>remote_bd_addr</name></member>
      <member prot="public" refid="structwiced__bt__ble__scan__results__t_1af4133a5dd55c297a8d21712f30f0acc6" virt="non-virtual"><scope>wiced_bt_ble_scan_results_t</scope><name>rssi</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>